GET /v1/rules/match

Which rule would apply to a description, to test a rule before relying on it

Auth. Send the token in the X-Ledger-Token header.

Parameters

NameInTypeRequiredDescription
descriptionquerystringrequired

Responses

StatusMeaningBody
200The matching rule, or matched falseRule or object
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

{
  "id": 0,
  "pattern": "string",
  "category": "string",
  "priority": 0,
  "created_at": "2026-10-11T00:00:00Z",
  "transactions": 0
}

Code samples

Set KEY to your own token first.

curl

curl \
  -H X-Ledger-Token:$KEY \
  "https://api.sasek.org/ledger/v1/rules/match?description=string"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/rules/match?description=string", {
  headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/rules/match?description=string",
    method="GET",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
    },
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))